<template>
    <section class="products_page section">
        <app-header class="fixed_header"
                    theme="light_theme"
                    id="header"
        ></app-header>
        <div class="products_page-content section-content row col-12">
            <p class="products_page-content-title col-12" v-html="$t('products.header')"></p>
            <div class="products_page-content-promo nice_text" id="first_page_promo" >
                <p class="ie-white-title" v-html="$t('products.info')"></p>
                <p class="nice_text-bg ie-lightbg" v-html="$t('products.info')"></p>
            </div>
            <div class="products_page-content-features row col-12">
                <div class="products_page-content-features-item col-sm-6 col-lg-4 col-12 order-lg-1 order-sm-1 order-1">
                    <p class="products_page-content-features-item-text" v-html="$t('products.subtitle1')"></p>
                    <p class="products_page-content-features-item-ps" v-html="$t('products.subtitle1_info')"></p>
                </div>
                <div class="products_page-content-features-item col-sm-6 col-lg-4 col-12 order-lg-2 order-sm-4 order-2">
                    <p class="products_page-content-features-item-text" v-html="$t('products.subtitle2')"></p>
                    <p class="products_page-content-features-item-ps" v-html="$t('products.subtitle2_info')"></p>
                </div>
                <div class="products_page-content-features-item col-sm-6 col-lg-4 col-12 order-lg-3 order-sm-3 order-3">
                    <p class="products_page-content-features-item-text" v-html="$t('products.subtitle3')"></p>
                    <p class="products_page-content-features-item-ps" v-html="$t('products.subtitle3_info')"></p>
                    <div class="products_page-content-features-item-bottom_element">
                        <p class="products_page-content-features-item-text" v-html="$t('products.subtitle4')"></p>
                        <p class="products_page-content-features-item-ps" v-html="$t('products.subtitle4_info')"></p>
                    </div>

                </div>
            </div>


            <div class="row col-12" style="padding: 0; margin: 0; justify-content: space-between">
                <div class="col-12 col-sm-6 col-lg-8 row" style="padding: 0; margin: 0; height: fit-content">
                    <p class="products_page-content-title col-12" v-html="$t('products.header2')"></p>
                    <div class="products_page-content-promo nice_text">
                        <p class="ie-white-title" v-html="$t('products.block2_subtitle')"></p>
                        <p class="nice_text-bg ie-lightbg" v-html="$t('products.block2_subtitle')"></p>
                    </div>
                </div>

                <div class="products_page-content-features not_first_features row col-12 col-sm-6 col-lg-4 offset-lg-1 offset-0">
                    <div class="products_page-content-features-item col-12">
                        <p class="products_page-content-features-item-text" v-html="$t('products.block2_info1')"></p>
                    </div>
                    <div class="products_page-content-features-item col-12">
                        <p class="products_page-content-features-item-text" v-html="$t('products.block2_info2')"></p>
                    </div>
                    <div class="products_page-content-features-item col-12">
                        <p class="products_page-content-features-item-text" v-html="$t('products.block2_info3')"></p>
                    </div>
                </div>
            </div>


            <div class="row col-12" style="padding: 0; margin: 0; justify-content: space-between">
                <div class="col-12 col-sm-6 col-lg-8 row" style="padding: 0; margin: 0; height: fit-content">
                    <p class="products_page-content-title col-12 col-lg-7 ie-wrap" v-html="$t('products.header3')"
                       style="max-width: 420px;word-break: break-word;margin-right: 50px;}"></p>
                    <div class="products_page-content-promo nice_text unusual_content_promo col-12 col-lg-5"
                         style="padding: 0" >
                        <p class="ie-white-title" v-html="$t('products.block3_subtitle')"></p>
                        <p class="nice_text-bg ie-lightbg" v-html="$t('products.block3_subtitle')"></p>
                    </div>
                </div>

                <div class="products_page-content-features not_first_features row col-12 col-sm-6 col-lg-4">
                    <div class="products_page-content-features-item col-12">
                        <p class="products_page-content-features-item-text" v-html="$t('products.block3_info1')"></p>
                    </div>
                    <div class="products_page-content-features-item col-12">
                        <p class="products_page-content-features-item-text" v-html="$t('products.block3_info2')"></p>
                    </div>
                    <div class="products_page-content-features-item col-12">
                        <p class="products_page-content-features-item-text" v-html="$t('products.block3_info3')"></p>
                    </div>
                </div>
            </div>

            <app-footer></app-footer>

        </div>

    </section>
</template>

<script>
    import AppHeader from "./AppHeader"
    import AppFooter from "./AppFooter"
    export default {
        components: {
            AppHeader,
            AppFooter
        }
    }
</script>

<style lang="sass">
    //переменные
    $maxWidth: 1280px
    $inititalHeight: 100vh
    $opensans: "Open Sans", sans-serif
    $montserrat: "Montserrat", sans-serif
    .products_page
        &-content
            &>p
                margin-top: 100px
            &-title
                font-size: 70px
                line-height: 1.4
                color: #47474b
                font-weight: 900
                padding: 0
                margin-bottom: 45px
            &-promo
                margin-bottom: 80px
            &-features
                padding: 0
                margin: 0
                margin-bottom: 150px
                justify-content: space-between
                &-item:nth-of-type(2)
                    padding-left: 25px
                &-item:nth-of-type(3)
                    p:nth-of-type(3)
                        margin-top: 50px
                &-item
                    padding: 0
                    max-width: 342px
                    &-text
                        margin-bottom: 10px
                        padding: 0
                        font-size: 24px
                        line-height: 1.5
                    &-ps
                        font-size: 16px
                        padding-right: 50px
                    &-bottom_element
                        margin-top: 60px
            .not_first_features
                margin-top: 33px
                max-width: 342px
                margin-right: 0
                .products_page-content-features-item
                    margin-bottom: 60px
                    padding: 0!important
            .unusual_content_promo
                margin-top: 30px
    @media screen and (max-width: 1366px)
        .products_page
            &-content
                &-title
                    font-size: 54px
                &-promo
                    font-size: 30px
                &-features
                    &-item
                        &-text
                            font-size: 20px
    @media screen and (max-width: 992px)
        .extra-md-br
            display: none
        .products_page
            &-content
                &-title
                    font-size: 42px
                    margin-bottom: 30px
                &-promo
                    padding-right: 40px!important
                &-features
                    &-item
                        margin-bottom: 40px
                        &-bottom_element
                            position: absolute
                            margin-top: 40px
                            top: 100%
                        &-text
                            margin-bottom: 20px
                    &-item:nth-of-type(2)
                        padding-left: 0
                    &-item:nth-of-type(3)
                        p:nth-of-type(3)
                            margin-top: 50px
                .unusual_content_promo
                    margin-top: 0
    @media screen and (max-width: 769px)
        .extra-md-br
            display: none
        .page_footer
            font-size: 16px
            &:before
                left: 20px
                width: calc(100% - 40px)
        .products_page
            &-content
                padding: 0
                &>p, &>div:not(.page_footer), &-content-features+div
                    padding: 0 20px!important
                #first_page_promo
                    padding: 0!important
                    margin: 0 20px 40px 20px
                &-title
                    margin-bottom: 20px
                &-features
                    margin-bottom: 60px
                    &-item
                        padding-right: 15px
                        &-text
                            font-size: 18px
                        &-ps
                            font-size: 14px
                    &-item:nth-of-type(3) p:nth-of-type(3)
                        margin-top: 20px
                .not_first_features
                    margin: 5px 0 0
                    padding-right: 0!important
                    .products_page-content
                        &-features-item
                            margin-bottom: 5px
                            &-text
                                margin-bottom: 5px
                .unusual_content_promo
                    margin-top: 0
    @media screen and (min-width: 576px) and (max-width: 769px)
        .page_footer
            padding: 0 20px
    @media screen and (max-width: 570px)
        .extra-xs-br
            display: none
        .page_footer
            font-size: 12px
            padding: 30px 20px 20px 20px !important
            margin-top: 50px
            &:before
                left: 0!important
                width: 100%!important
        .products_page
            &-content
                padding: 0
                &>p, &>div:not(:first-of-type)
                    padding: 0 20px
                &-title
                    font-size: 36px
                &-promo
                    margin-bottom: 40px
                .not_first_features
                    max-width: 100%
                &-features
                    &-item
                        margin-bottom: 20px
                        max-width: 100%
                        &-bottom_element
                            position: static
                            margin-top: 20px
                        &-text
                            margin-bottom: 10px
                            font-size: 20px
                            line-height: 26px
                        &-ps
                            font-size: 16px
                            margin-bottom: 10px
    @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) 
        .ie-lightbg
                transition: color, width 0.2s!important
                color: #898a94!important
                background: transparent!important
                font-family:  Helvetica
                left: 1px!important
        .ie-white-title
                text-shadow: 1px 1px #898a94, 1px -1px #898a94, -1px 1px #898a94, -1px -1px #898a94
                width: 100%
                color: #fff !important
                font-family:  Helvetica
                padding-left: 1px
        .ie-wrap
            word-break: break-all
        .products_page-content-title
            font-size: 54px
</style>
